Subject: Re: "error: non-monotonic index" during fresh linux-2.6.git cloning.

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 19 Jul 2008 23:59:09 +0400

Hi Junio.

On Sat, Jul 19, 2008 at 11:15:16AM -0700, Junio C Hamano ([email-masked]) wrote:
> > The repository you are cloning uses pack idx version #2; 1.4.4.4 predates it
> > by a wide margin.
> 
> By the way, Debian folks are very aware of the issue and already has a
> backported material to cut a 1.4.4.5, but I do not know what the release
> schedule for their update is.
> 
> Is it an option for you to update to a more modern version from say
> backports.org?  Everybody using git for anything serious should be using
> 1.5.3 or newer these days.

It is very development test machine, there is no need to use git at all,
it is just a convenient way to get a needed version via 'git clone; git reset'.

I posted it so it would be stored in archive, that old enough git
version does not work with recent trees, so one should upgrade if this
error occures.

-- 
	Evgeniy Polyakov